Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.entry
Class GrantEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.GrantEntry

    public class GrantEntry

extends AbstractEntry

Constructor Summary
`GrantEntry()`

Method Summary
`void` | `addPrincipal(PrincipalEntry pe)` Adds specified element to the `principals` collection.
`void` | `expand(PolicyContext context)`
`java.security.CodeSource` | `getCodeSource()`
`java.security.PermissionCollection` | `getPermissions()`
`java.security.Principal[]` | `getPrincipals()`
`void` | `setCodebase(java.lang.String codebase)`
`void` | `setPermissions(java.util.Collection<PermissionEntry> permissions)`
`void` | `setPrincipals(java.util.Collection<PrincipalEntry> principals)`
`void` | `setSigners(java.lang.String signers)`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrantEntry

    public GrantEntry()

Method Detail

### addPrincipal

    public void addPrincipal(PrincipalEntry pe)

  Adds specified element to the `principals` collection. If collection does not exist yet, creates a new one.

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getPermissions

    public java.security.PermissionCollection getPermissions()
                                                      throws PolicyException

  Throws:
    `PolicyException`

### getPrincipals

    public java.security.Principal[] getPrincipals()
                                            throws PolicyException

  Throws:
    `PolicyException`

### getCodeSource

    public java.security.CodeSource getCodeSource()
                                           throws PolicyException

  Throws:
    `PolicyException`

### setSigners

    public void setSigners(java.lang.String signers)

### setCodebase

    public void setCodebase(java.lang.String codebase)

### setPrincipals

    public void setPrincipals(java.util.Collection<PrincipalEntry> principals)

### setPermissions

    public void setPermissions(java.util.Collection<PermissionEntry> permissions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.